## maq 0.1.0

=== DESCRIPTION ===
Package: maq
Title: Multi-Armed Qini
Version: 0.1.0
Authors@R: c(
    person("Erik", "Sverdrup", email = "erikcs@stanford.edu", role = c("aut", "cre")),
    person("Han", "Wu", role = "aut"),
    person("Susan", "Athey", role = "aut"),
    person("Stefan", "Wager", role = "aut")
    )
Description: Evaluate treatment rules for costly and mutually exclusive treatment arms with Qini curves as proposed in Sverdrup, Wu, Athey, and Wager (2023) <arXiv:2306.11979>.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
LinkingTo: Rcpp
Imports: Rcpp
Depends: R (>= 3.5.0), Matrix
Suggests: grf (>= 2.3.0), testthat (>= 3.0.0)
SystemRequirements: GNU make
URL: https://github.com/grf-labs/maq
BugReports: https://github.com/grf-labs/maq/issues
NeedsCompilation: yes
Packaged: 2023-06-26 17:32:59 UTC; erikcs
Author: Erik Sverdrup [aut, cre],
  Han Wu [aut],
  Susan Athey [aut],
  Stefan Wager [aut]
Maintainer: Erik Sverdrup <erikcs@stanford.edu>
Repository: CRAN
Date/Publication: 2023-06-27 17:40:02 UTC

## maq 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: maq
 Title: Multi-Armed Qini
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: c(
     person("Erik", "Sverdrup", email = "erikcs@stanford.edu", role = c("aut", "cre")),
     person("Han", "Wu", role = "aut"),
@@ -13,17 +13,17 @@
 RoxygenNote: 7.2.3
 LinkingTo: Rcpp
 Imports: Rcpp
-Depends: R (>= 3.5.0), Matrix
+Depends: R (>= 3.5.0)
 Suggests: grf (>= 2.3.0), testthat (>= 3.0.0)
 SystemRequirements: GNU make
 URL: https://github.com/grf-labs/maq
 BugReports: https://github.com/grf-labs/maq/issues
 NeedsCompilation: yes
-Packaged: 2023-06-26 17:32:59 UTC; erikcs
+Packaged: 2023-09-03 08:38:26 UTC; erikcs
 Author: Erik Sverdrup [aut, cre],
   Han Wu [aut],
   Susan Athey [aut],
   Stefan Wager [aut]
 Maintainer: Erik Sverdrup <erikcs@stanford.edu>
 Repository: CRAN
-Date/Publication: 2023-06-27 17:40:02 UTC
+Date/Publication: 2023-09-03 09:10:02 UTC

## maq 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: maq
 Title: Multi-Armed Qini
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: c(
     person("Erik", "Sverdrup", email = "erikcs@stanford.edu", role = c("aut", "cre")),
     person("Han", "Wu", role = "aut"),
@@ -19,11 +19,11 @@
 URL: https://github.com/grf-labs/maq
 BugReports: https://github.com/grf-labs/maq/issues
 NeedsCompilation: yes
-Packaged: 2023-09-03 08:38:26 UTC; erikcs
+Packaged: 2023-09-10 04:19:53 UTC; erikcs
 Author: Erik Sverdrup [aut, cre],
   Han Wu [aut],
   Susan Athey [aut],
   Stefan Wager [aut]
 Maintainer: Erik Sverdrup <erikcs@stanford.edu>
 Repository: CRAN
-Date/Publication: 2023-09-03 09:10:02 UTC
+Date/Publication: 2023-09-10 05:40:02 UTC

## maq 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: maq
 Title: Multi-Armed Qini
-Version: 0.3.0
+Version: 0.3.1
 Authors@R: c(
     person("Erik", "Sverdrup", email = "erikcs@stanford.edu", role = c("aut", "cre")),
     person("Han", "Wu", role = "aut"),
@@ -19,11 +19,11 @@
 URL: https://github.com/grf-labs/maq
 BugReports: https://github.com/grf-labs/maq/issues
 NeedsCompilation: yes
-Packaged: 2023-09-10 04:19:53 UTC; erikcs
+Packaged: 2023-10-08 02:27:05 UTC; erikcs
 Author: Erik Sverdrup [aut, cre],
   Han Wu [aut],
   Susan Athey [aut],
   Stefan Wager [aut]
 Maintainer: Erik Sverdrup <erikcs@stanford.edu>
 Repository: CRAN
-Date/Publication: 2023-09-10 05:40:02 UTC
+Date/Publication: 2023-10-08 03:00:02 UTC

## maq 0.4.0

=== DESCRIPTION ===
Package: maq
Title: Multi-Armed Qini
Version: 0.4.0
Authors@R: c(
    person("Erik", "Sverdrup", email = "erik.sverdrup@monash.edu", role = c("aut", "cre")),
    person("Han", "Wu", role = "aut"),
    person("Susan", "Athey", role = "aut"),
    person("Stefan", "Wager", role = "aut")
    )
Description: Evaluate treatment rules for costly and mutually exclusive treatment arms with Qini curves as proposed in Sverdrup, Wu, Athey, and Wager (2023) <doi:10.48550/arXiv.2306.11979>.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
LinkingTo: Rcpp
Imports: Rcpp
Depends: R (>= 3.5.0)
Suggests: grf (>= 2.3.0), testthat (>= 3.0.0)
SystemRequirements: GNU make
URL: https://github.com/grf-labs/maq
BugReports: https://github.com/grf-labs/maq/issues
NeedsCompilation: yes
Packaged: 2024-04-18 16:05:03 UTC; erikcs
Author: Erik Sverdrup [aut, cre],
  Han Wu [aut],
  Susan Athey [aut],
  Stefan Wager [aut]
Maintainer: Erik Sverdrup <erik.sverdrup@monash.edu>
Repository: CRAN
Date/Publication: 2024-04-18 17:52:53 UTC

## maq 0.5.0

=== DESCRIPTION ===
Package: maq
Title: Multi-Armed Qini
Version: 0.5.0
Authors@R: c(
    person("Erik", "Sverdrup", email = "erik.sverdrup@monash.edu", role = c("aut", "cre")),
    person("Han", "Wu", role = "aut"),
    person("Susan", "Athey", role = "aut"),
    person("Stefan", "Wager", role = "aut")
    )
Description: Policy evaluation using generalized Qini curves: Evaluate data-driven treatment
            targeting rules for one or more treatment arms over different budget
            constraints in experimental or observational settings under unconfoundedness.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.2
LinkingTo: Rcpp
Imports: Rcpp
Depends: R (>= 3.5.0)
Suggests: grf (>= 2.3.0), ggplot2, testthat (>= 3.0.0)
SystemRequirements: GNU make
URL: https://github.com/grf-labs/maq
BugReports: https://github.com/grf-labs/maq/issues
NeedsCompilation: yes
Packaged: 2024-11-14 06:01:21 UTC; erikcs
Author: Erik Sverdrup [aut, cre],
  Han Wu [aut],
  Susan Athey [aut],
  Stefan Wager [aut]
Maintainer: Erik Sverdrup <erik.sverdrup@monash.edu>
Repository: CRAN
Date/Publication: 2024-11-14 08:50:13 UTC

## maq 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: maq
 Title: Multi-Armed Qini
-Version: 0.5.0
+Version: 0.6.0
 Authors@R: c(
     person("Erik", "Sverdrup", email = "erik.sverdrup@monash.edu", role = c("aut", "cre")),
     person("Han", "Wu", role = "aut"),
@@ -21,11 +21,11 @@
 URL: https://github.com/grf-labs/maq
 BugReports: https://github.com/grf-labs/maq/issues
 NeedsCompilation: yes
-Packaged: 2024-11-14 06:01:21 UTC; erikcs
+Packaged: 2025-04-14 11:12:06 UTC; erikcs
 Author: Erik Sverdrup [aut, cre],
   Han Wu [aut],
   Susan Athey [aut],
   Stefan Wager [aut]
 Maintainer: Erik Sverdrup <erik.sverdrup@monash.edu>
 Repository: CRAN
-Date/Publication: 2024-11-14 08:50:13 UTC
+Date/Publication: 2025-04-14 11:40:02 UTC

## maq 0.7.1

=== debian/changelog ===
maq (0.7.1-9) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 11:16:20 +0100

maq (0.7.1-8) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to OMICtools, SciCrunch, bio.tools
    - yamllint cleanliness

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Lintian should not warn about script-with-language-extension
    see https://lists.debian.org/debian-med/2018/06/msg00043.html

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 15:42:20 +0200

maq (0.7.1-7) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * hardening=+all

  [ Canberk Koç ]
  * Autopkgtest

 -- Canberk Koç <canberkkoc@gmail.com>  Tue, 23 Aug 2016 00:28:13 +0300

maq (0.7.1-6) unstable; urgency=medium

  * moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Add missing manpages
  * Fix Mayhem issue
    Closes: #716112

 -- Andreas Tille <tille@debian.org>  Wed, 16 Dec 2015 15:34:33 +0100

maq (0.7.1-5) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/upstream:
     - Removed duplicated entry DOI
     - Moved PMID to references
  * debian/source/format: 3.0 (quilt)
  * debian/reference: removed because references are kept in
    debian/upstream (also removed from debian/docs)
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
     - Build-Depends: dh-autoreconf
     - Dropped from Build-Depends: quilt, cdbs
  * debian/patches/20_prevent_-64_option.patch: Dropped in favour
    of using dh-autoreconf
  * debian/rules: converted to dh
  * debian/copyright: cme fix dpkg-copyright
  * debian/patches/gcc-4.7.patch: Enable building with g++-4.7
     Closes: #667270
  * debian/README.source: Removed because there is no point any
    more to explain how to use quilt

 -- Andreas Tille <tille@debian.org>  Wed, 25 Apr 2012 14:20:16 +0200

maq (0.7.1-4) unstable; urgency=low

  * Development of Maq stopped in 2008. Its successors are BWA and SAMtools.
    (debian/control, debian/maq.doc-base).
  * DEP-5 conformant debian/copyright file, checked with ‘config-edit’.
  * Use Debhelper 8 (debian/control, debian/compat).
  * Collected various information in debian/upstream-metadata.yaml.
  * Incremented Standards-Version in debian/policy to reflect
    conformance with Policy 3.9.1 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Sun, 13 Mar 2011 11:35:38 +0900

maq (0.7.1-3) unstable; urgency=low

  * Distribute scripts that are not installed by upstream’s
    makefile in /usr/share/maq (debian/install).
  * Incremented Standards-Version in debian/policy to reflect
    conformance with Policy 3.8.2 (no changes needed).
  * debian/patch: made headers conformant with current draft of DEP3.

 -- Charles Plessy <plessy@debian.org>  Fri, 17 Jul 2009 22:00:02 +0900

maq (0.7.1-2) unstable; urgency=low

  * Enable LARGEFILE64_SOURCE to prevent a problem with zlib on
    64bit archs (Thanks to Peter Green <plugwash@p10link.net> for
    the patch)
    Closes: #506009
  * Standards-Version: 3.8.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Apr 2009 15:56:09 +0200

maq (0.7.1-1) unstable; urgency=low

  * New upstream release 0.7.1 (Closes: 505820)
    - Accepts reads shorter than 127 bp (63 bp before).
    - .map alignment changes and not backward-compatible.
    - Reversion to short reads possible with --enable-shortreads.
  * New upstream release 0.6.8
    - New features for the 1000 genome project.
    - Error dependency coefficient reduced from 0.93 to 0.85.
    - Added mapvalidate command.
    - Support generating GLF format.
    - The mapcheck command can optionally dump additional information.
  * debian/patches:
    - 20_perl_path.patch deleted because accepted upstream.
    - 10_prevent_-64_option.patch reorganised to only modify configure.ac
      and forwarded upstream.
    - 20_prevent_-64_option.patch changes configure and can be regenerated
      by running autoreconf.
  * debian/control: typo corrected in short description (Closes: #492979)
  * debian/reference: BibTeX reference downloaded from
    http://genome.cshlp.org/citmgr?gca=genome;18/11/1851 with abstract
    removed because it is a copyrighted work.
  * debian/README.Sources renamed README.source to comply with Policy.

 -- Charles Plessy <plessy@debian.org>  Sun, 16 Nov 2008 22:52:04 +0900

maq (0.6.7-1) unstable; urgency=low

  [ Charles Plessy ]
  * Initial release (Closes: #489836)

  [ Andreas Tille ]
  * Rudely deleted -m64 option from configure because multiarch
    building leads to several problems

 -- Andreas Tille <tille@debian.org>  Wed, 16 Jul 2008 12:01:33 +0200

=== debian/control ===
Source: maq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/maq
Vcs-Git: https://salsa.debian.org/med-team/maq.git
Homepage: http://maq.sourceforge.net/
Rules-Requires-Root: no

Package: maq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: bwa,
          samtools
Description: maps short fixed-length polymorphic DNA sequence reads to reference sequences
 Maq (short for Mapping and Assembly with Quality) builds mapping assemblies
 from short reads generated by the next-generation sequencing machines. It was
 particularly designed for Illumina-Solexa 1G Genetic Analyzer, and has a
 preliminary functionality to handle ABI SOLiD data. Maq is previously known as
 mapass2.
 .
 Developmemt of Maq stopped in 2008. Its successors are BWA and SAMtools.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for maq
# (C) Charles Plessy, Andreas Tille
# GPL

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#needed to make the zlib headers behave (they don't like the combination
#of _FILE_OFFSET_BITS=64 but not _LARGEFILE64_SOURCE
CFLAGS+= -D_LARGEFILE64_SOURCE

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_installman:
	dh_installman
	# when installing via debian/manpages the .pl is stripped and the
	# files will end up in /usr/share/man/pl/man1
	cp -a debian/mans/*.1 debian/maq/usr/share/man/man1

=== debian/watch ===
version=4

http://sf.net/maq/maq-([\d\.]+)\.tar\.bz2
